### Function

# GLib ByteArray remove_index_fast

#### Declaration

    GByteArray*
    g_byte_array_remove_index_fast (
      GByteArray* array,
      guint index_
    )

#### Description

Removes the byte at the given index from a `GByteArray`. The last element in the array is used to fill in the space, so this function does not preserve the order of the `GByteArray`. But it is faster than g_byte_array_remove_index().

#### Parameters

`array`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

`index_`

  Type: `guint`

  The index of the byte to remove.

#### Return value

Type: An array of `guint8`

The `GByteArray`.

The data is owned by the called function.